package de.fzj.unicore.bes.test;

import java.io.File;

import org.apache.commons.io.FileUtils;


import de.fzj.unicore.uas.UAS;
import de.fzj.unicore.wsrflite.Kernel;

public class EmbeddedServerStartup {

	
	private static boolean haveInit = false;

	/**
	 * Setup test environment, start UAS
	 */
	private static String serverUrl;

	public static void serverStartup() throws Exception {
		if (haveInit)return;
		
		FileUtils.deleteQuietly(new File("target/data"));
		
		UAS uas = new UAS("src/test/resources/uas.config");
		uas.startSynchronous();
		haveInit = true;
		serverUrl = Kernel.getKernel().getProperty(Kernel.WSRF_BASEURL) + "/";
	}

	public static String getServerUrl(){
		return serverUrl;
	}
	
}
