package de.fzj.unicore.bes.test;

import javax.xml.namespace.QName;

import org.ggf.schemas.jsdl.x2005.x11.jsdl.JobDefinitionDocument;
import org.junit.Test;
import org.w3.x2005.x08.addressing.EndpointReferenceType;
import org.xmlsoap.schemas.soap.envelope.Fault;
import static org.junit.Assert.*;
import de.fzj.unicore.bes.util.BESUtils;


public class TestBESUtils{
	@Test
	public void testSOAP11FaultBuilder() {
		Fault fault = BESUtils.buildSOAP11Fault(new QName("SampleFault"), "Sample SOAP Fault");
		assertFalse(!fault.getFaultcode().getLocalPart().equals("SampleFault"));
		assertTrue(fault.getFaultstring().contains("SOAP"));
	}
	
	@Test
	public void testMakeSimpleEPR(){
		EndpointReferenceType eprt; 
		eprt = BESUtils.makeSimpleEPR("http://vsite.sample.de/services");
		assertTrue(eprt.getAddress().getStringValue().contains("http://vsite.sample.de/services"));
		
		eprt = BESUtils.makeSimpleEPR("http://vsite.sample.de/services","8973216");
		assertTrue(eprt.getAddress().getStringValue().equals("http://vsite.sample.de/services?res=8973216"));
	}
	
	@Test
	public void testExtractUGSRefParam(){
		EndpointReferenceType eprt = BESUtils.makeSimpleEPR("http://www.google.com", "2189712-2198372-wdoiasuz0-09827170");
		assertTrue(BESUtils.extractRefParamResourceId(eprt).equals("2189712-2198372-wdoiasuz0-09827170"));
	}

	@Test
	public void testGetJSDLFile() throws Exception{
			JobDefinitionDocument jobDoc = BESUtils.getJSDLFromFile("src/test/resources/jsdl/jsdlinstance.xml");
			assertNotNull(jobDoc.getJobDefinition().getJobDescription().getApplication().getApplicationName());
	}
	
}
