#!/bin/bash

#
# Startup script for UNICORE Registry
# (RPM version)


#
# Read basic configuration parameters
#
. /etc/unicore/registry/startup.properties

#
# check whether the server might be already running
#
if [ -e $PID ] 
 then 
  if [ -d /proc/$(cat $PID) ]
   then
     echo "A UNICORE Registry instance may be already running with process id "$(cat $PID)
     echo "If this is not the case, delete the file $INST/$PID and re-run this script"
     exit 1
   fi
fi

#
# setup classpath
#
JARS=${LIB}/*.jar
CP=
for JAR in $JARS ; do 
    CP=$CP:$JAR
done

PARAM=$*
if [ "$PARAM" = "" ]
then
  PARAM=${CONF}uas.config
fi

#
# go
#

CLASSPATH=$CP ; export CLASSPATH

nohup $JAVA ${MEM} ${OPTS} ${DEFS} de.fzj.unicore.uas.UAS ${PARAM} REGISTRY > $STARTLOG 2>&1  & echo $! > $PID

echo "UNICORE Registry starting"

