package de.fzj.unicore.uas.impl.job;

import org.unigrids.x2006.x04.services.jms.StdOutDocument;

import de.fzj.unicore.uas.xnjs.XNJSFacade;
import de.fzj.unicore.wsrflite.xmlbeans.ResourceProperty;

public class StdOutProperty extends ResourceProperty<String> {

	private static final long serialVersionUID = 1L;

	private final String actionID;
	private final String xnjsReference;
	
	private String sOut;
	
	public StdOutProperty(String actionID,String xnjsReference){
		super(null);
		this.actionID=actionID;
		sOut="stdout";
		this.xnjsReference=xnjsReference;
	}
	
	@Override
	public StdOutDocument[] getXml() {
		StdOutDocument s=StdOutDocument.Factory.newInstance();
		s.setStdOut(sOut);
		return new StdOutDocument[]{s};
	}

	@Override
	public StdOutProperty update() throws Exception {
		try{
			sOut=XNJSFacade.get(xnjsReference).getAction(actionID).getExecutionContext().getStdout();
		}catch(Exception e){
			sOut="stdout";
		}
		return this;
	}

	@Override
	public String getProperty() {
		return sOut;
	}
}
