package de.fzj.unicore.uas.xnjs;

import org.apache.commons.httpclient.HttpClient;

import de.fzj.unicore.wsrflite.Kernel;
import de.fzj.unicore.xnjs.io.http.IConnectionFactory;
import eu.unicore.security.Client;
import eu.unicore.security.util.client.HttpUtils;
import eu.unicore.security.util.client.IAuthenticationConfiguration;

/**
 * creates HTTP(s) connections for plain http(s) data staging
 * using the UNICORE/X server's key/truststore
 * 
 * @author schuller
 */
public class U6HttpConnectionFactory implements IConnectionFactory{

	public HttpClient getConnection(String url, Client client) {
		IAuthenticationConfiguration auth=Kernel.getKernel().getSecurityProperties();
		HttpClient http=HttpUtils.createClient(url, auth, Kernel.getKernel().getProperties());
		HttpUtils.configureProxy(http, url, Kernel.getKernel().getProperties());
		return http;
	}

	
}
