package de.fzj.unicore.uas.dsms;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

import de.fzj.unicore.uas.impl.dsms.DSMSImpl;
import de.fzj.unicore.wsrflite.Kernel;

import pl.edu.icm.dsms.catalogue.db.InitDB;

public class TestDsmsFactoryBasics extends TestDsmsBasics
{
	@Before
	public void setUp()
	{
		try
		{
			Kernel.getKernel().setProperty(DSMSImpl.GET_FREE_SPACE, "false");
			
			InitDB.initDB();
			createSms();
			createFactory();
			createCatalogue();
			
			dsms = getFactoryClient().createSMS("DSMS", "DynamicDSMS", lifeTime());
			sms = getSmsClient();
		} catch (Exception e)
		{
			e.printStackTrace();
			fail("Unable setup test");
		}
	}
	
	@After
	public void tearDown()
	{
		try
		{
			dsms = null;

			destroySms();
			destroyCatalogue();
			destroyFactory();
		} catch (Exception e)
		{
			e.printStackTrace();
			fail("Unable to tear down");
		}
	}
	
	@Test
	@Override
	public void testFreeSpace() throws Exception
	{
		Long freeSpace = dsms.getAvailableSpace();
		assertTrue(freeSpace != null);
		//assertTrue(freeSpace > 0);
	}
}
