package de.fzj.unicore.uas.impl;

import junit.framework.TestCase;

import org.apache.xmlbeans.XmlObject;

import de.fzj.unicore.uas.UAS;
import de.fzj.unicore.uas.impl.tss.rp.ExecutionEnvironmentRP;
import de.fzj.unicore.uas.xnjs.XNJSFacade;
import de.fzj.unicore.wsrflite.Kernel;
import eu.unicore.jsdl.extensions.ExecutionEnvironmentDescriptionDocument;

public class TestExecutionEnvRP extends TestCase{

	@Override
	protected void setUp(){
		Kernel.getKernel().setProperty(UAS.TSF_XNJS_CONFIGFILE, "src/test/resources/xnjs.xml");
		XNJSFacade.get(null);
	}
	
	public void testRP(){
		ExecutionEnvironmentRP rp=new ExecutionEnvironmentRP(null,null);
		XmlObject[] xml=rp.update().getXml();
		ExecutionEnvironmentDescriptionDocument time=null;
		ExecutionEnvironmentDescriptionDocument mpi=null;
		System.out.println("Number of defined execution environments: "+xml.length);
		assertEquals(2,xml.length);
		
		for(XmlObject o: xml){
			ExecutionEnvironmentDescriptionDocument eed=(ExecutionEnvironmentDescriptionDocument)o;
			String name=eed.getExecutionEnvironmentDescription().getName();
			if("TIME".equals(name)){
				time=eed;
			}
			else if("OpenMPI".equals(name)){
				mpi=eed;
			}
		}
		checkTimeEE(time);
		checkMPI(mpi);
	}
	
	private void checkTimeEE(ExecutionEnvironmentDescriptionDocument time){
		assertNotNull(time);
		assertEquals("1.0",time.getExecutionEnvironmentDescription().getVersion());
	}
	
	private void checkMPI(ExecutionEnvironmentDescriptionDocument mpi){
		assertNotNull(mpi);
		assertEquals(1,mpi.getExecutionEnvironmentDescription().getPreCommandArray().length);
	}
}
