package de.fzj.unicore.uas.impl;

import junit.framework.TestCase;
import de.fzj.unicore.wsrflite.Kernel;
import de.fzj.unicore.wsrflite.security.ISecurityProperties;
import de.fzj.unicore.wsrflite.security.UASSecurityProperties;

public class TestSecurityInfoRP extends TestCase{

	public void testSecurityRP() throws Exception {
		Kernel k=Kernel.getKernel();
		k.setProperty(ISecurityProperties.WSRF_SSL, "true");
		k.setProperty("unicore.wsrflite.ssl.keystore","src/main/certs/server-keystore.p12");
		k.setProperty("unicore.wsrflite.ssl.keypass","the!njs");
		k.setProperty("unicore.wsrflite.ssl.keytype","pkcs12");
		k.setProperty("unicore.wsrflite.ssl.truststore","src/main/certs/server-truststore.jks");
		k.setProperty("unicore.wsrflite.ssl.truststorepass","the!njs");
		k.setProperty("unicore.wsrflite.ssl.truststoretype","jks");
		k.setSecurityProperties(new UASSecurityProperties(k.getProperties()));
		SecurityInfoResourceProperty s=new SecurityInfoResourceProperty(null,true);
		String rp=s.getXml()[0].toString();
		assertTrue(rp.toString().contains("BEGIN CERTIFICATE"));
	}
	
}
