package eu.unicore.genii;

import org.jdom.Namespace;

import eu.unicore.genii.security.GAMLAssertionInHandler;

public interface GenesisConstants {
	
	/**
	 * Name-space of a GAML Assertion 
	 */
	public static final Namespace GENII_NS=Namespace.getNamespace("http://vcgr.cs.virginia.edu/Genesis-II");
	
	/**
	 * Element name of a GAML Assertion 
	 */
	public static final String GENII_GAMLASSERTION="calling-context";

	public static final String GENII_GAMLASSERTION_REF=GAMLAssertionInHandler.class.getName()+"-CallingContext";
	
	/**
	 * Protocol scheme identifying GFFT stagings in job descriptions (JSDL)
	 */
	public static final String GFFS_PROTOCOL_SCHEME = "rns";
	
	/**
	 * Name of the Genesis II comandline tool
	 */
	public static final String GENII_EXECUTABLE="grid";
	
	
	/**
	 * Name of the Genesis II state directory
	 */
	public static final String GENII_STATE_DIR=".genState";
	
	
	public static final String USER_CONTEXT_FILENAME =
		"user-context.xml";
	public static final String USER_TRANSIENT_FILENAME =
		"user-transient.dat";
	public static final String COMBINED_FILENAME =
		"user-combined.xml";
	
	/**
	 * Name of the Genesis II variable defining the state directory
	 */
	public static final String GENII_STATE_DIR_VARIABLE="GENII_USER_DIR";

	/**
	 * Property for setting the path to the GenII grid executable at the TSI
	 */
	public static final String PROP_GENII_INSTALLATION_PATH_TSI="genii.client.dir.tsi";
	
	public static final String PROP_GENII_EXECUTABLE="genii.client.executable";
	
	public static final String PROP_DELEGATOR_KEYSTORE_LOCATION = "delegator.keystore.location";
	public static final String PROP_DELEGATOR_KEYSTORE_PASSWORD = "delegator.keystore.password";
	public static final String PROP_DELEGATOR_KEY_PASSWORD = "delegator.key.password";
	public static final String PROP_DELEGATOR_CERTIFICATE_ALIAS = "delegator.certificate.alias";

	
	public static final String PROP_DELEGATEE_KEYSTORE_LOCATION = "delegatee.keystore.location";
	public static final String PROP_DELEGATEE_KEYSTORE_PASSWORD = "delegatee.keystore.password";
	public static final String PROP_DELEGATEE_KEY_PASSWORD = "delegatee.key.password";
	public static final String PROP_DELEGATEE_CERTIFICATE_ALIAS = "delegatee.certificate.alias";
	
}

