package de.fzj.unicore.uas.fts.uftp;

import de.fzj.unicore.uas.CoreClientCapabilities.FTClientCapability;
import de.fzj.unicore.uas.client.FileTransferClient;
import de.fzj.unicore.uas.client.UFTPFileTransferClient;
import de.fzj.unicore.wsrflite.ClientCapabilities;
import de.fzj.unicore.wsrflite.ClientCapability;

/**
 * for advertising the UFTP client capabilities
 * 
 * @author schuller
 */
public class UFTPClientCapabilities implements ClientCapabilities{

	@Override
	public ClientCapability[] getClientCapabilities() {
		return new ClientCapability[]{
				UFTPClientCapability
		};
	}
	
	private static ClientCapability UFTPClientCapability=new FTClientCapability(){

		@Override
		public Class<? extends FileTransferClient> getImplementation() {
			return UFTPFileTransferClient.class;
		}

		@Override
		public String getProtocol() {
			return "UFTP";
		}

		@Override
		public Class<?> getInterface() {
			return FileTransferClient.class;
		}

	}; 

}
